Package com.independentsoft.office.charts

# Class View3D

java.lang.Object
com.independentsoft.office.charts.View3D

public class View3D extends Object
The Class View3D.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `View3D()`
  Instantiates a new view3 d.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `View3D`
  `clone()`
  `int`
  `getDepthPercent()`
  Gets the depth percent.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `int`
  `getHeightPercent()`
  Gets the height percent.
  `int`
  `getPerspective()`
  Gets the perspective.
  `int`
  `getYRotation()`
  Gets the y rotation.
  `boolean`
  `isRightAngleAxes()`
  Checks if is right angle axes.
  `void`
  `setDepthPercent​(int depthPercent)`
  Sets the depth percent.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setHeightPercent​(int heightPercent)`
  Sets the height percent.
  `void`
  `setPerspective​(int perspective)`
  Sets the perspective.
  `void`
  `setRightAngleAxes​(boolean rightAngleAxes)`
  Sets the right angle axes.
  `void`
  `setYRotation​(int yRotation)`
  Sets the y rotation.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### View3D

    public View3D()
    Instantiates a new view3 d.

- ## Method Details

  - ### clone

    public View3D clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getDepthPercent

    public int getDepthPercent()
    Gets the depth percent.
    Returns:
      the depth percent

  - ### setDepthPercent

    public void setDepthPercent​(int depthPercent)
    Sets the depth percent.
    Parameters:
      `depthPercent` - the new depth percent

  - ### getHeightPercent

    public int getHeightPercent()
    Gets the height percent.
    Returns:
      the height percent

  - ### setHeightPercent

    public void setHeightPercent​(int heightPercent)
    Sets the height percent.
    Parameters:
      `heightPercent` - the new height percent

  - ### getPerspective

    public int getPerspective()
    Gets the perspective.
    Returns:
      the perspective

  - ### setPerspective

    public void setPerspective​(int perspective)
    Sets the perspective.
    Parameters:
      `perspective` - the new perspective

  - ### isRightAngleAxes

    public boolean isRightAngleAxes()
    Checks if is right angle axes.
    Returns:
      true, if is right angle axes

  - ### setRightAngleAxes

    public void setRightAngleAxes​(boolean rightAngleAxes)
    Sets the right angle axes.
    Parameters:
      `rightAngleAxes` - the new right angle axes

  - ### getYRotation

    public int getYRotation()
    Gets the y rotation.
    Returns:
      the y rotation

  - ### setYRotation

    public void setYRotation​(int yRotation)
    Sets the y rotation.
    Parameters:
      `yRotation` - the new y rotation